> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getcargo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List memories

> List all AI memories. Query params: scope (user|agent), agentUuid (required when scope=agent)



## OpenAPI

````yaml https://api.getcargo.io/openapi.json get /ai/memories/list
openapi: 3.1.0
info:
  title: Cargo API
  version: 1.0.0
  description: Cargo Platform API v1
servers:
  - url: https://api.getcargo.io/v1
    description: Cargo API
security:
  - bearerAuth: []
paths:
  /ai/memories/list:
    get:
      tags:
        - AI - Memories
      summary: List memories
      description: >-
        List all AI memories. Query params: scope (user|agent), agentUuid
        (required when scope=agent)
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  memories:
                    type: array
                    items:
                      allOf:
                        - type: object
                          properties:
                            mem0Id:
                              type: string
                            content:
                              type: string
                            createdAt:
                              type: string
                            updatedAt:
                              type: string
                          required:
                            - mem0Id
                            - content
                            - createdAt
                            - updatedAt
                          additionalProperties: false
                        - anyOf:
                            - type: object
                              properties:
                                scope:
                                  type: string
                                  const: user
                                userUuid:
                                  type: string
                              required:
                                - scope
                                - userUuid
                              additionalProperties: false
                            - type: object
                              properties:
                                scope:
                                  type: string
                                  const: agent
                                agentUuid:
                                  type: string
                                workspaceUuid:
                                  type: string
                              required:
                                - scope
                                - agentUuid
                                - workspaceUuid
                              additionalProperties: false
                    title: Memories
                    description: List of memories.
                required:
                  - memories
                additionalProperties: false
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '404':
          description: Not found
        '500':
          description: Internal server error
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````